<?php    
/**
 * @package FacebookComments
 * @author Emylee Schonhoeft <emirii.mei@gmail.com>
 * @copyright Copyright (c) 2015 Emylee Schonhoeft. (http://www.ificouldfly.net/)
 * @license http://opensource.org/licenses/GPL-3.0 Open Source GPL v3.0
 *
 */
namespace Concrete\Package\EmiriiDiscussionESFacebookComments;

use Package;
use Loader;
use BlockType;

class Controller extends Package {

	//NAME & VERSION INFORMATION
    protected $pkgHandle = 'emirii_discussion_e_s_facebook_comments';
    protected $appVersionRequired = '5.7.3.1';
	protected $pkgVersion = '1.1';

    public function getPackageDescription() { return t('Add Facebook comments to any of your pages!'); }
    public function getPackageName() { return t("DiscussionES Facebook Comments"); }

	//INSTALL
    public function install() {
        $pkg = parent::install();
		$this->configurePackage($pkg);
	}
	
	//UPGRADE
	function upgrade() {	    
        $pkg = parent::upgrade();
        $this->configurePackage($pkg);
   	}
   	
	//CONFIGURE ALL COMPONENTS
    public function configurePackage($pkg) {
        $this->configureBlocks($pkg);
    }
    
	//BLOCK CONFIG
    public function configureBlocks($pkg) {  
		if(!is_object(BlockType::getByHandle('emirii_discussion_e_s_facebook_comments'))) {
			BlockType::installBlockTypeFromPackage('emirii_discussion_e_s_facebook_comments', $pkg);
		} 
	}
	
	//UNINSTALL
    function uninstall() {       
        parent::uninstall();
    }	

}